/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NgModule } from '@angular/core';
import { StringFilterMenuComponent } from './string-filter-menu.component';
import { NumericFilterMenuComponent } from './numeric-filter-menu.component';
import { DateFilterMenuComponent } from './date-filter-menu.component';
import { BooleanFilterMenuComponent } from './boolean-filter-menu.component';
import { KENDO_GRID_FILTER_MENU } from '../../directives';
import { PopupService } from '@progress/kendo-angular-popup';
import { ResizeBatchService } from '@progress/kendo-angular-common';
import { IconsService } from '@progress/kendo-angular-icons';
import { DialogContainerService, DialogService, WindowContainerService, WindowService } from '@progress/kendo-angular-dialog';
import { CalendarDOMService, CenturyViewService, DecadeViewService, MonthViewService, NavigationService, YearViewService } from '@progress/kendo-angular-dateinputs';
import * as i0 from "@angular/core";
import * as i1 from "../../columns/column.component";
import * as i2 from "../../columns/column-group.component";
import * as i3 from "../../navigation/logical-cell.directive";
import * as i4 from "../../navigation/logical-row.directive";
import * as i5 from "../../navigation/focusable.directive";
import * as i6 from "../../rendering/footer/footer-template.directive";
import * as i7 from "../../rendering/common/col-group.component";
import * as i8 from "../../layout/resizable.directive";
import * as i9 from "@progress/kendo-angular-common";
import * as i10 from "../../rendering/common/field-accessor.pipe";
import * as i11 from "../../rendering/details/detail-template.directive";
import * as i12 from "../../columns/span-column.component";
import * as i13 from "../../rendering/common/loading.component";
import * as i14 from "../../rendering/grid-table.directive";
import * as i15 from "../cell/filter-cell-operators.component";
import * as i16 from "../operators/contains-filter-operator.component";
import * as i17 from "../operators/not-contains-filter-operator.component";
import * as i18 from "../operators/ends-with-filter-operator.component";
import * as i19 from "../operators/eq-filter-operator.component";
import * as i20 from "../operators/is-empty-filter-operator.component";
import * as i21 from "../operators/is-not-empty-filter-operator.component";
import * as i22 from "../operators/is-not-null-filter-operator.component";
import * as i23 from "../operators/isnull-filter-operator.component";
import * as i24 from "../operators/neq-filter-operator.component";
import * as i25 from "../operators/starts-with-filter-operator.component";
import * as i26 from "../operators/gt-filter-operator.component";
import * as i27 from "../operators/gte-filter-operator.component";
import * as i28 from "../operators/lt-filter-operator.component";
import * as i29 from "../operators/lte-filter-operator.component";
import * as i30 from "../operators/after-filter-operator.component";
import * as i31 from "../operators/after-eq-filter-operator.component";
import * as i32 from "../operators/before-eq-filter-operator.component";
import * as i33 from "../operators/before-filter-operator.component";
import * as i34 from "../filter-input.directive";
import * as i35 from "./filter-menu.component";
import * as i36 from "./filter-menu-container.component";
import * as i37 from "./filter-menu-input-wrapper.component";
import * as i38 from "./string-filter-menu-input.component";
import * as i39 from "./string-filter-menu.component";
import * as i40 from "./filter-menu-template.directive";
import * as i41 from "./numeric-filter-menu.component";
import * as i42 from "./numeric-filter-menu-input.component";
import * as i43 from "./date-filter-menu-input.component";
import * as i44 from "./date-filter-menu.component";
import * as i45 from "./filter-menu-host.directive";
import * as i46 from "./boolean-filter-menu.component";
import * as i47 from "./filter-menu-dropdownlist.directive";
import * as i48 from "./filter-radio-button.directive";
const ENTRY_COMPONENTS = [
    StringFilterMenuComponent,
    NumericFilterMenuComponent,
    DateFilterMenuComponent,
    BooleanFilterMenuComponent
];
/**
 * @hidden
 *
 * This module is deprecated and will be removed in a future major version release.
 */
export class FilterMenuModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FilterMenuModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: FilterMenuModule, imports: [i1.ColumnComponent, i2.ColumnGroupComponent, i3.LogicalCellDirective, i4.LogicalRowDirective, i5.FocusableDirective, i6.FooterTemplateDirective, i7.ColGroupComponent, i8.ResizableContainerDirective, i9.TemplateContextDirective, i10.FieldAccessorPipe, i11.DetailTemplateDirective, i12.SpanColumnComponent, i13.LoadingComponent, i14.GridTableDirective, i15.FilterCellOperatorsComponent, i16.ContainsFilterOperatorComponent, i17.DoesNotContainFilterOperatorComponent, i18.EndsWithFilterOperatorComponent, i19.EqualFilterOperatorComponent, i20.IsEmptyFilterOperatorComponent, i21.IsNotEmptyFilterOperatorComponent, i22.IsNotNullFilterOperatorComponent, i23.IsNullFilterOperatorComponent, i24.NotEqualFilterOperatorComponent, i25.StartsWithFilterOperatorComponent, i26.GreaterFilterOperatorComponent, i27.GreaterOrEqualToFilterOperatorComponent, i28.LessFilterOperatorComponent, i29.LessOrEqualToFilterOperatorComponent, i30.AfterFilterOperatorComponent, i31.AfterEqFilterOperatorComponent, i32.BeforeEqFilterOperatorComponent, i33.BeforeFilterOperatorComponent, i34.FilterInputDirective, i35.FilterMenuComponent, i36.FilterMenuContainerComponent, i37.FilterMenuInputWrapperComponent, i38.StringFilterMenuInputComponent, i39.StringFilterMenuComponent, i40.FilterMenuTemplateDirective, i41.NumericFilterMenuComponent, i42.NumericFilterMenuInputComponent, i43.DateFilterMenuInputComponent, i44.DateFilterMenuComponent, i45.FilterMenuHostDirective, i46.BooleanFilterMenuComponent, i47.FilterMenuDropDownListDirective, i48.BooleanFilterRadioButtonDirective], exports: [i1.ColumnComponent, i2.ColumnGroupComponent, i3.LogicalCellDirective, i4.LogicalRowDirective, i5.FocusableDirective, i6.FooterTemplateDirective, i7.ColGroupComponent, i8.ResizableContainerDirective, i9.TemplateContextDirective, i10.FieldAccessorPipe, i11.DetailTemplateDirective, i12.SpanColumnComponent, i13.LoadingComponent, i14.GridTableDirective, i15.FilterCellOperatorsComponent, i16.ContainsFilterOperatorComponent, i17.DoesNotContainFilterOperatorComponent, i18.EndsWithFilterOperatorComponent, i19.EqualFilterOperatorComponent, i20.IsEmptyFilterOperatorComponent, i21.IsNotEmptyFilterOperatorComponent, i22.IsNotNullFilterOperatorComponent, i23.IsNullFilterOperatorComponent, i24.NotEqualFilterOperatorComponent, i25.StartsWithFilterOperatorComponent, i26.GreaterFilterOperatorComponent, i27.GreaterOrEqualToFilterOperatorComponent, i28.LessFilterOperatorComponent, i29.LessOrEqualToFilterOperatorComponent, i30.AfterFilterOperatorComponent, i31.AfterEqFilterOperatorComponent, i32.BeforeEqFilterOperatorComponent, i33.BeforeFilterOperatorComponent, i34.FilterInputDirective, i35.FilterMenuComponent, i36.FilterMenuContainerComponent, i37.FilterMenuInputWrapperComponent, i38.StringFilterMenuInputComponent, i39.StringFilterMenuComponent, i40.FilterMenuTemplateDirective, i41.NumericFilterMenuComponent, i42.NumericFilterMenuInputComponent, i43.DateFilterMenuInputComponent, i44.DateFilterMenuComponent, i45.FilterMenuHostDirective, i46.BooleanFilterMenuComponent, i47.FilterMenuDropDownListDirective, i48.BooleanFilterRadioButtonDirective] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FilterMenuModule, providers: [
            PopupService,
            ResizeBatchService,
            IconsService,
            DialogContainerService,
            DialogService,
            WindowService,
            WindowContainerService,
            CalendarDOMService,
            CenturyViewService,
            DecadeViewService,
            MonthViewService,
            YearViewService,
            NavigationService
        ], imports: [i15.FilterCellOperatorsComponent, i35.FilterMenuComponent, i36.FilterMenuContainerComponent, i37.FilterMenuInputWrapperComponent, i38.StringFilterMenuInputComponent, i39.StringFilterMenuComponent, i41.NumericFilterMenuComponent, i42.NumericFilterMenuInputComponent, i43.DateFilterMenuInputComponent, i44.DateFilterMenuComponent] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: FilterMenuModule, decorators: [{
            type: NgModule,
            args: [{
                    exports: [...KENDO_GRID_FILTER_MENU],
                    imports: [...KENDO_GRID_FILTER_MENU],
                    providers: [
                        PopupService,
                        ResizeBatchService,
                        IconsService,
                        DialogContainerService,
                        DialogService,
                        WindowService,
                        WindowContainerService,
                        CalendarDOMService,
                        CenturyViewService,
                        DecadeViewService,
                        MonthViewService,
                        YearViewService,
                        NavigationService
                    ]
                }]
        }] });
